@import '~video-react/styles/scss/video-react';

.component-rich-video {
    padding: 10px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: stretch;
}

.react-player {
    align-self: center;
}

.video-controller {
    //padding: 10px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}

.flex-row {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.flex-row-fit {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: nowrap;
    flex: 0 0 0;
}

.flex-column {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}

.timeline {
    flex: 1 1 auto;
}

.elapsed-time {
    padding-left: 5px;
    flex: 0 0 0;
}

.title {
    font-size: 16px;
}

.subtitle {
    font-size: 16px;
    font-style: italic;
    color: #94aab6;
}

.extra {
    padding-top: 5px;
    font-size: 12px;
    font-style: italic;
    color: #94aab6;
}

.extra a:link,
.extra a:active,
.extra a:visited {
    color: inherit;
}

.extra a:hover {
    color: #707c94;
}

.center {
    align-items: center;
    justify-content: center;
}

.description {
    margin-left: 50px;
}

.volume-bar {
    min-height: 100px;
    margin: 15px 0;
}

button.play-btn {
    font-size: 35px !important;
    background-color: #f9f9ff;
}

.controls {
    display: inline-block;
}

.volume-popper {
    z-index: 99 !important;
}

@media only screen and (max-width: 768px) {
    .react-player {
      width: 100% !important;
    }
}
